rte_malloc_socket_stats(3)

NAME
rte_malloc_socket_stats

SYNOPSIS

#include <rte_malloc.h>

  Data Fields

size_t heap_totalsz_bytes
size_t heap_freesz_bytes
size_t greatest_free_size
unsigned free_count
unsigned alloc_count
size_t heap_allocsz_bytes

Detailed Description

Structure to hold heap statistics obtained from rte_malloc_get_socket_stats function.

Definition at line 25 of file rte_malloc.h.

Field Documentation

  size_t heap_totalsz_bytes
Total bytes on heap

Definition at line 26 of file rte_malloc.h.

  size_t heap_freesz_bytes
Total free bytes on heap

Definition at line 27 of file rte_malloc.h.

  size_t greatest_free_size
Size in bytes of largest free block

Definition at line 28 of file rte_malloc.h.

  unsigned free_count
Number of free elements on heap

Definition at line 29 of file rte_malloc.h.

  unsigned alloc_count
Number of allocated elements on heap

Definition at line 30 of file rte_malloc.h.

  size_t heap_allocsz_bytes
Total allocated bytes on heap

Definition at line 31 of file rte_malloc.h.

Author

Generated automatically by Doxygen for DPDK from the source code.